Easier way to change to UCS World?

Discussion in 'AutoCAD' started by awsiemieniec, Jan 16, 2004.

  1. awsiemieniec

    awsiemieniec Guest

    Mechanical Desktop 2004DX
    All:
    I've searched the forum and other sources online but am not finding the exact answer I am looking for. I'm thinking there has to be a much easier way to programatically change from any UCS to World UCS. I've seen tons of examples of how to do this in code by changing the various things...all in all it's about a half page of code (easy cut-n-paste). But I was hoping with this "new" version of ACAD and MDT that maybe the developers put a way to do it by only writing one line of code. Something like :

    Dim currUCS As AcadUCS
    Set currUCS = ThisDrawing.UserCoordinateSystems.Change(acWorld)
    ThisDrawing.ActiveUCS = currUCS

    Or even easier:
    ThisDrawing.ActiveUCS = acWorld

    Does something like this simple command exist?
     
    awsiemieniec, Jan 16, 2004
    #1
  2. awsiemieniec

    awsiemieniec Guest

    Ok, I'm an idiot. This method works just fine...

    'Change to the UCS World view
    ThisDrawing.SendCommand "UCS" & vbCr
    ThisDrawing.SendCommand "WORLD" & vbCr
     
    awsiemieniec, Jan 16, 2004
    #2
  3. awsiemieniec

    Oberer Guest

    "Re: Easier way to change to UCS World?
    Ok, I'm an idiot. This method works just fine..."

    I know you're being tongue and cheek here, but you're hardly "an idiot." If you've been around for a while, you'll know that many cringe when the ol "sendcommand" is used.

    I'm searching for this exact answer now, and it appears that it's not terribly easy (what a joke!)

    good luck!
     
    Oberer, Dec 2, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.